ResinEjbSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.caucho.ResinEjbSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.caucho
Class ResinEjbSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.caucho.ResinEjbSubTask

All Implemented Interfaces:
  Serializable

public class ResinEjbSubTask
extends XmlSubTask

Subtask for generation of resin-ejb.

Author:
  Yoritaka Sakakura (yori@teardrop.org)
See Also:
  Resin CMP Configuration, Serialized Form
ant.element
  name="resin-ejb-xml" display-name="Resin" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  June 5, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`ResinEjbSubTask()` Default generated filename is resin.cmp.

Method Summary
`String` | `getCacheSize()` resin-ejb/cache-size; no default.
`String` | `getCacheTimeout()` resin-ejb/cache-timeout; no default.
`String` | `getGenerateSourceComments()` Whether or not include debug comments pointing to origin class/method for elements in the deployment descriptor.
`void` | `setCacheSize(String cacheSize)`
`void` | `setCacheTimeout(String cacheTimeout)`
`void` | `setGenerateSourceComments(String generateSourceComments)`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResinEjbSubTask

    public ResinEjbSubTask()

  Default generated filename is resin.cmp.

Method Detail

### getCacheSize

    public String getCacheSize()

  resin-ejb/cache-size; no default.

  Returns:

### getCacheTimeout

    public String getCacheTimeout()

  resin-ejb/cache-timeout; no default.

  Returns:

### getGenerateSourceComments

    public String getGenerateSourceComments()

  Whether or not include debug comments pointing to origin class/method for elements in the deployment descriptor. Defaults to 'true'

  Returns:

### setCacheSize

    public void setCacheSize(String cacheSize)

### setCacheTimeout

    public void setCacheTimeout(String cacheTimeout)

### setGenerateSourceComments

    public void setGenerateSourceComments(String generateSourceComments)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD